STRUCTS_TYPE_NULL(3)

NAME
structs_type_null - non-instantiable structs type

LIBRARY
PDEL Library (libpdel, -lpdel)

SYNOPSIS
#include <sys/types.h>
#include <pdel/structs/structs.h>
#include <pdel/structs/type/null.h>
extern const struct structs_type structs_type_null;

DESCRIPTION
The structs_type_null structs(3) type is not instantiable. All of the structs_type(3) methods return an error with errno set to ENOTSUPP.

This type is useful for special situations, such as defining an array that must have zero length.

SEE ALSO
libpdel(3), structs(3), structs_type(3)

HISTORY
The PDEL library was developed at Packet Design, LLC. http://www.packetdesign.com/

AUTHORS
Archie Cobbs <archie@freebsd.org>